import { get, post } from "@/api/index";

export default {
  //用户列表数据
  userList: params => {
    return get("/sys_user/list", params);
  },
  // 新增用户
  userAdd:params=>{
    return post("/sys_user/add", params);
  },
  // 编辑用户
  userEdit:params=>{
    return post("/sys_user/edit", params);
  },
  // 重置用户密码
  resetUserPwd:params=>{
    return post("/sys_user/reset_pass", params);
  },
  // 移动用户分组
  moveUserDepart:params=>{
    return post("/sys_user/moveToDepartment", params);
  },
  // 启用\禁用用户
  setUserEnableStatus:params=>{
    return post("/sys_user/editEnabled", params);
  },
  // 系统用户的按钮权限数据
  userPermissionData:()=>{
    return get('/role/menu/buttons',{})
  },
  // 获取系统中所有用户 按部门分级
  allUserForDepart:params=>{
    return get('/seller/list',params)
  },
  // 系统用户修改密码
  modifyPwd:params=>{
    return post('/sys_user/reset_my_pass',params)
  }

  
};
